| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Public Attributes | Private Member Functions | List of all members
easywebdav.client.Client Class Reference
Inheritance diagram for easywebdav.client.Client:

## Public Member Functions
def | __init__
def | cd
def | mkdir
def | mkdirs
def | rmdir
def | delete
def | upload
def | download
def | ls
def | exists

## Public Attributes
| baseurl
| cwd
| session

## Private Member Functions
def | _send
def | _get_url
def | _upload
def | _download

## Constructor & Destructor Documentation

def easywebdav.client.Client.__init__ | ( |  | self,
|  |  | host,
|  |  | port = `0`,
|  |  | auth = `None`,
|  |  | username = `None`,
|  |  | password = `None`,
|  |  | protocol = `'http'`,
|  |  | verify_ssl = `True`,
|  |  | path = `None`,
|  |  | cert = `None`,
|  |  | session = `None`
| ) |  |

## Member Function Documentation

def easywebdav.client.Client._download | ( |  | self,
|  |  | fileobj,
|  |  | response
| ) |  |
| private

Referenced by easywebdav.client.Client.download().

def easywebdav.client.Client._get_url | ( |  | self,
|  |  | path
| ) |  |
| private

Referenced by easywebdav.client.Client._send().

def easywebdav.client.Client._send | ( |  | self,
|  |  | method,
|  |  | path,
|  |  | expected_code,
|  |  | kwargs
| ) |  |
| private

Referenced by easywebdav.client.Client._upload(), easywebdav.client.Client.delete(), easywebdav.client.Client.download(), easywebdav.client.Client.exists(), easywebdav.client.Client.ls(), easywebdav.client.Client.mkdir(), and easywebdav.client.Client.rmdir().

def easywebdav.client.Client._upload | ( |  | self,
|  |  | fileobj,
|  |  | remote_path
| ) |  |
| private

Referenced by easywebdav.client.Client.upload().

def easywebdav.client.Client.cd | ( |  | self,
|  |  | path
| ) |  |

Referenced by easywebdav.client.Client.mkdirs().

def easywebdav.client.Client.delete | ( |  | self,
|  |  | path
| ) |  |

def easywebdav.client.Client.download | ( |  | self,
|  |  | remote_path,
|  |  | local_path_or_fileobj
| ) |  |

def easywebdav.client.Client.exists | ( |  | self,
|  |  | remote_path
| ) |  |

def easywebdav.client.Client.ls | ( |  | self,
|  |  | remote_path = `'.'`
| ) |  |

Referenced by easywebdav.client.Client.ls().

def easywebdav.client.Client.mkdir | ( |  | self,
|  |  | path,
|  |  | safe = `False`
| ) |  |

Referenced by easywebdav.client.Client.mkdirs().

def easywebdav.client.Client.mkdirs | ( |  | self,
|  |  | path
| ) |  |

def easywebdav.client.Client.rmdir | ( |  | self,
|  |  | path,
|  |  | safe = `False`
| ) |  |

def easywebdav.client.Client.upload | ( |  | self,
|  |  | local_path_or_fileobj,
|  |  | remote_path
| ) |  |

## Member Data Documentation

easywebdav.client.Client.baseurl

Referenced by easywebdav.client.Client._get_url().

easywebdav.client.Client.cwd

Referenced by easywebdav.client.Client._get_url(), easywebdav.client.Client.cd(), and easywebdav.client.Client.mkdirs().

easywebdav.client.Client.session

Referenced by zotsh.ZotSH.cmd_host(), and zotsh.ZotSH.get_host_session().

The documentation for this class was generated from the following file:

- util/zotsh/easywebdav/client.py